Limerence
Shortcuts

List Shortcuts

List shortcuts for the authenticated team. Supports optional agentId filter.

GET
/shortcuts

List shortcuts for the authenticated team. Supports optional agentId filter.

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Query Parameters

agentId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/shortcuts"
[  {    "agent": {      "id": "string",      "name": "string"    },    "agentId": "string",    "createdAt": "string",    "description": null,    "disableModelInvocation": true,    "icon": null,    "id": "string",    "immediate": true,    "integrations": "string",    "name": "string",    "prefix": "string",    "prompt": "string",    "sortOrder": 0,    "updatedAt": "string",    "userInvokable": true,    "visibility": "string"  }]
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}